<h1>Баланс</h1>
<a href="/?p=balance&t=topup">Полнить</a> / <a href="/?p=balance&t=cash">Снять</a>
<?php
if($_GET["t"] == "topup"){
echo "<h2>Пополнить баланс</h2>";

	if(isset($_POST["topupsub"])){
		$err = NULL;
		
		if(round($_POST["summa"],2) < 1)
			$err .= "<li>Минимум к пополнению 1 руб.</li>";
			
		if($err == NULL){	
		db_connect();
			db_query("DELETE FROM `".DBpref."balance_topup` WHERE `login` = '".db_string($_SESSION["login"])."'");
			db_query("INSERT INTO `".DBpref."balance_topup` (`login`, `summa`, `dat`) VALUES ('".db_string($_SESSION["login"])."', ".round($_POST["summa"],2).", '".date("Y-m-d H:i:s")."')");
			$lastid = db_last_id();
		db_close();
			echo '
			<table class="table2">
			  <tr>
				<td>Пополнить баланс на сумму</td>
				<td>'.round($_POST["summa"],2).' руб.</td>
			  </tr>
			  <tr>
				<td></td>
				<td>
			<form method=GET action="http://www.free-kassa.ru/merchant/cash.php">
				<input type="hidden" name="m" value="'.ik_shop_id.'">
				<input type="hidden" name="oa" value="'.round($_POST["summa"],2).'" />
				<input type="hidden" name="s" id="s" value="'.make_signature(ik_shop_id, round($_POST["summa"],2), secret_key, $lastid).'">
				<input type="hidden" name="o" id="desc" value="'.$lastid.'" />
				<input type="submit" id="submit" value="Оплатить" />
			</form></td>
			  </tr>
			 </table>
		</form>
		
			';
			
			$topupok = true;
		}else{
			echo "<ul class='error'>".$err."</ul>";
		}
	}

	if($topupok == false){
		echo '
		<form action="" method="post">
			<table class="table2">
			  <tr>
				<td>Сумма пополнения </td>
				<td><input name="summa" type="text" value="10" size="5" maxlength="6" /> руб.</td>
			  </tr>
			  <tr>
				<td></td>
				<td><input name="topupsub" type="submit" value="Пополнить" /></td>
			  </tr>
			 </table>
		</form>
		';
	}
}else{
echo "<h2>Снять средства</h2>";	
db_connect();
$res = db_query("SELECT `balance`, `wmid`, `wmr` FROM `".DBpref."users` WHERE `login` = '".db_string($_SESSION["login"])."'");
$row = db_assoc($res);
	
	if(isset($_POST["cashsub"])){
		$err = NULL;
		
		if(round($_POST["summa"],2) < 20)
			$err .= "<li>Минимум к выводу 20 руб.</li>";
		if(round($_POST["summa"],2) > round($row["balance"],2))
			$err .= "<li>На Вашем балансе недостаточно средств</li>";
		if($row['wmr'] == NULL OR $row['wmid'] == NULL)
			$err .= "<li>Пожалуйста, введите в настройках аккаунта ваши платежные реквизиты</li>";
			
		if($err == NULL){
			db_query("UPDATE `".DBpref."users` SET `balance` = `balance` - ".round($_POST["summa"],2)." WHERE `login` = '".db_string($_SESSION["login"])."'");
			db_query("INSERT INTO `".DBpref."balance_cash` (`login`, `summa`, `dat`) VALUES ('".db_string($_SESSION["login"])."', ".round($_POST["summa"],2).", '".date("Y-m-d H:i:s")."')");
			
			echo "В течении 24-х часов средства будут выведены";
			
			$cashok = true;
		}else{
			echo "<ul class='error'>".$err."</ul>";
		}
	}

$balance_cash_res = db_query("SELECT * FROM `".DBpref."balance_cash` WHERE `login` = '".db_string($_SESSION["login"])."' ORDER BY `id` DESC LIMIT 10");
db_close();

if($cashok == false){
	echo '
		<form action="" method="post">
		<table class="table2">
			  <tr>
				<td>Ваш баланс </td>
				<td>'.round($row["balance"],2).' руб.</td>
			  </tr>
			  <tr>
				<td>Сумма </td>
				<td><input name="summa" type="text" value="'.round($row["balance"],2).'" size="5" maxlength="6" /> руб.</td>
			  </tr>
			  <tr>
				<td></td>
				<td><input name="cashsub" type="submit" value="Снять" /></td>
			  </tr>
			 </table>
		</form>
	';
	
	echo '
	<h2>10 последних заявок:</h2>
	<table class="table3">
			  <tr class="title">
				<td>Сумма</td>
				<td>Дата</td>
				<td>Статус</td>
			  </tr>
	';
	while($row = db_assoc($balance_cash_res)){
		echo '<tr>
			<td>'.round($row['summa'], 2).' руб.</td>
			<td>'.$row['dat'].'</td>
			<td>'.($row['status'] == 0?'В процессе':'Выполнено').'</td>
		</tr>';
	}
	echo '</table>';
}

}
?>